For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
      • The study object
      • GETList all studies
      • POSTCreate a draft study
      • GETList all studies in a project
      • GETRetrieve a study
      • DELDelete a study
      • PATCHUpdate a study
      • POSTTransition a study's status
      • POSTCreate a test study
      • GETGet taskflow progress
      • GETShow Study cost
      • GETList study submissions
      • GETCount study submissions by status
      • GETDownload credential usage report
      • GETDownload demographic data
      • POSTExport demographic data
      • GETGet demographic export history
      • POSTDuplicate a study
      • GETShow Study predicted recruitment time
      • POSTShow Study predicted recruitment time
      • POSTCalculate the study cost
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceStudies

List all studies in a project

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/projects/:project_id/studies/
GET
/api/v1/projects/:project_id/studies/
$curl https://api.prolific.com/api/v1/projects/project_id/studies/ \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json"
1{
2 "results": [
3 {
4 "id": "60d9aadeb86739de712faee0",
5 "name": "Cognitive Bias Study",
6 "internal_name": "cog_bias_jan2024",
7 "status": "ACTIVE",
8 "study_type": "SINGLE",
9 "total_available_places": 150,
10 "places_taken": 75,
11 "number_of_submissions": 80,
12 "reward": 250,
13 "total_cost": 3200,
14 "published_at": "2024-01-15T09:30:00Z",
15 "publish_at": "2024-01-10T08:00:00Z",
16 "date_created": "2024-01-01T12:00:00Z",
17 "credential_pool_id": "cred_pool_98765",
18 "is_ready_to_publish": true
19 }
20 ]
21}
List all of your studies in a project. For projects with a large number of studies, pagination can be used to optimize the response size and performance. To paginate, use the `page`, `page_size` and `ordering` query parameters. For example, to retrieve the first 10 studies, use `/api/v1/projects/{project_id}/studies/?page=1&page_size=10&ordering=-date_created`.
Was this page helpful?
Previous

Create a draft study

Next

Retrieve a study

List all of your studies in a project.

For projects with a large number of studies, pagination can be used to optimize the response size and performance. To paginate, use the page, page_size and ordering query parameters. For example, to retrieve the first 10 studies, use /api/v1/projects/{project_id}/studies/?page=1&page_size=10&ordering=-date_created.

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

project_idstringRequired
Project id

Query parameters

pageintegerOptional
The page number to retrieve.
page_sizeintegerOptional
The number of studies to retrieve per page.
orderingstringOptional

The ordering of the studies. Use -date_created to order by date created in descending order.

Response

List of studies for the given project
resultslist of objects
List of all studies matching the criteria.

Errors

4XX
Client Request Error